org.apache.http.nio.protocol

## Interface HttpAsyncRequestHandlerMapper

All Known Implementing Classes:
  UriHttpAsyncRequestHandlerMapper

    public interface HttpAsyncRequestHandlerMapper

`HttpAsyncRequestHandlerMapper` can be used to resolve an instance of `HttpAsyncRequestHandler` matching a particular `HttpRequest`. Usually the resolved request handler will be used to process the request.

Since:
  4.3

### Method Summary

Methods
`HttpAsyncRequestHandler<?>` `lookup(HttpRequest request)` Looks up a handler matching the given request.

### Method Detail

#### lookup

    HttpAsyncRequestHandler<?> lookup(HttpRequest request)

Looks up a handler matching the given request.

Parameters:
  `request` - the request
Returns:
  HTTP request handler or `null` if no match is found.